Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class ClientViewDef

`java.lang.Object
oracle.jbo.common.StructureDefHelper
oracle.jbo.client.remote.StructureDefImpl
oracle.jbo.client.remote.ClientViewDef`

All Implemented Interfaces:
  StructureDef

public class ClientViewDef
extends StructureDefImpl

Field Summary

Fields inherited from class oracle.jbo.common.StructureDefHelper
`attributeList, attributes, mDefFullName, mDefName, mName`

Constructor Summary
`ClientViewDef(ApplicationModuleImpl am, int id, java.lang.String name, java.lang.String fullName, AttributeDefValue[] attrDefInfo)`

Methods inherited from class oracle.jbo.client.remote.StructureDefImpl
`getNewAttributeDefHelper`

Methods inherited from class oracle.jbo.common.StructureDefHelper
`addDynamicAttribute, addViewLinkAccessor, findAttributeDef, getAttributeCount, getAttributeDef, getAttributeDefs, getAttributeIndexOf, getDefFullName, getDefName, getFullName, getName, lookupAttributeDef, removeViewLinkAccessor, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientViewDef

    public ClientViewDef(ApplicationModuleImpl am,
                         int id,
                         java.lang.String name,
                         java.lang.String fullName,
                         AttributeDefValue[] attrDefInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.